<!DOCTYPE html>
<html>

<head>
    <title>WebSocket Example</title>
</head>

<body>
    <input type="text" id="urlInput" />
    <button onclick="sendReq()">send</button>
    <div id="message"></div>

</body>

</html>

<script>
    const socket = new WebSocket('ws://localhost:5000');
    const sendReq = function (event) {
        console.log("clicked")
        socket.send("url:" + document.getElementById("urlInput").value)
    }
    socket.onopen = function (event) {
        console.log("connection opened")
    }
    socket.onmessage = function (event) {
        console.log("message recived: " + event.data)
        const messageDiv = document.getElementById('message')
        messageDiv.innerHTML = document.getElementById('message').innerHTML + "<br>" + event.data
    };

    socket.onclose = function (event) {
        console.log("connection closed")
    }
</script>